Android-Studio: API-Level erhöhen

F

FKutsche

Neues Mitglied
0
Hallo,
ich möchte meine API-Level von 7 auf 11 erhöhen.

Dazu habe ich folgendes in die Manifest.xml geschrieben:
HTML:
<uses-sdk android:minSdkVersion="11" />

Außerdem habe ich in die build.gradle folgendes geschrieben:
Code:
android {
    compileSdkVersion 18
    buildToolsVersion "18.1.0"
    defaultConfig {
        minSdkVersion 11
        targetSdkVersion 18
    }
}

die build.gradle habe ich synchronisiert und versucht zu rebuilden, aber er findet die ganzen Sachen in der android-methode nicht. Muss ich die noch irgendwo anders reinschreiben oder so? Stehe vollkommen auf dem Schlauch...

Wäre dankbar über jegliche Hilfe
 
Genaue Fehlermeldung wäre hilfreich, ansonsten mal im SDK-Manager gucken ob die entsprechenden API-Level überhaupt installiert sind
 
b4vrr4bj.png


Das sind jetzt die Sachen der build.gradle mit der Fehlermeldung. Er findet die Argumente der android()-Methode nicht, wie ich schon sagte.
 
Das ist die Fehlermeldung unter "messages", schau mal ob unter "Run", "Gradle Console" und "Event Log" noch weitere aussagekräftige Fehlermeldungen erscheinen.

Ansonsten noch einmal die die Frage ob die SDKs 11 und 18 im SDK-Manager installiert sind.
 

Ähnliche Themen

2
Antworten
6
Aufrufe
422
24559
2
5
Antworten
0
Aufrufe
1.222
586920
5
SaniMatthias
Antworten
19
Aufrufe
1.173
swa00
swa00
Zurück
Oben Unten